/* KG Elementor tarjoukset */



body:not(.elementor-editor-active) #kg-tarjoukset-posts article,

body:not(.elementor-editor-active) #kg-tarjoukset-show-more-btn {

    display: none;

}



body:not(.elementor-editor-active) #kg-tarjoukset-show-more-btn.show-btn {

    display: inline-block;

}



body:not(.elementor-editor-active) #kg-tarjoukset-show-more-btn.hide-btn {

    display: none;

}



body:not(.elementor-editor-active) #kg-tarjoukset-posts article.show-post {

    display: block;

}



#kg-tarjoukset-container .dce-wrapper-grid {

    margin: 0 !important;

	flex-wrap: inherit;

}



.kg-tarjoukset-container article.type-kg_local_offers {

    border: 1px solid #E4E4E4;

    border-radius: 10px;

    overflow: hidden;

    box-shadow: inset 0px 0px 20px rgb(0 0 0 / 10%);

    margin: 10px;

    padding: 0 0 20px 0 !important;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-image img {

    width: 100%;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget {

    margin: 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget h2 {

    margin: 0 0 5px 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget p {

    margin: 10px 0 0 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget p.kg-elem-tarjous-loop-price {

    margin: 15px 0 5px 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget p.kg-elem-tarjous-loop-package {

    margin: 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget p.kg-elem-tarjous-loop-normal {

    margin: 20px 0 0 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget.kg-elem-loop-offer-btn {

    margin: 15px 0 0 0;

}



.type-kg_local_offers .kg-elementor-tarjoukset-loop-content .elementor-widget-container:empty {

    display: none;

}


.primus-tarjous [property="gr:name"], .primus-tarjous .tarjoushinta, .primus-tarjous .hintatyyppi {
   color: var(--e-global-color-008a204);
   font-weight: bold;
}

.primus-tarjous .tarjoushinta, .primus-tarjous .hintatyyppi {
   font-size:2em;
}

@media screen and (max-width: 1024px) {

    #kg-tarjoukset-container .dce-wrapper-grid {

		flex-wrap: wrap;

		justify-content: center;

	}

}



@media screen and (max-width: 500px) {

    .kg-tarjoukset-container article.type-kg_local_offers {

        width: 100% !important;

        flex-basis: 100% !important;

    }

}

/* Style "[kaikki-tarjoukset]" shortcode output to three columns. */

.kaikki-tarjoukset {
    --gap-size: 2rem;
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap-size);
}


.kaikki-tarjoukset > :first-child {
   display: none;
}

.kaikki-tarjoukset .primus-tarjous {
    margin: 0 !important;
    display: flex;
    flex-direction: column;
    width: 100%;
    text-align: center;
}

@media (min-width: 600px) {
	.kaikki-tarjoukset .primus-tarjous {
    		width: calc((100% / 2) - var(--gap-size));
	}
}

@media (min-width: 1000px) {
	.kaikki-tarjoukset .primus-tarjous {
    		width: calc((100% / 3) - var(--gap-size));
	}
}


.elementor-default .kaikki-tarjoukset .primus-tarjous .tuotekuva-span.tuotekuva-span {
    padding: 10px;
    float: none;
    max-width: none;
    order: -1;
    border: 1px solid #E4E4E4;
    border-radius: 5px;
    background: #fff;
}

.elementor-default .kaikki-tarjoukset .primus-tarjous .tuotekuva-span.tuotekuva-span img {
   display: block;
   margin: 0 auto;
   max-height: 150px;
   width: auto;
}


.elementor-default .kaikki-tarjoukset .primus-tarjous .fn.fn {
   margin: 0 20px;
}


.elementor-default .kaikki-tarjoukset .tarjous-content {
   max-width: none;
   float: none;
}


.elementor-default .kaikki-tarjoukset .tarjous-content * {
   margin-top: 0;
}


.elementor-default .kaikki-tarjoukset .primus-tarjous .normaalihinta,
.elementor-default .kaikki-tarjoukset .primus-tarjous .kilohinta {
   display: block;
   margin: 0;
}

.elementor-default.elementor-default .kaikki-tarjoukset .primus-tarjous .normaalihinta,
.elementor-default.elementor-default .kaikki-tarjoukset .primus-tarjous .kilohinta {
   font-size: .9em;
}